Bug 1582672 - RFE: give us a clue about tcp_wrappers not being supported
Summary: RFE: give us a clue about tcp_wrappers not being supported
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 22:11 UTC by Todd
Modified: 2019-05-03 10:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Todd 2018-05-25 22:11:05 UTC
Dear Fedora,

$ rpm -qa vsftpd
vsftpd-3.0.3-22.fc28.x86_64
 
From the changelog

         * Fri Jan 05 2018 Ondřej Lysoněk <olysonek@redhat.com> - 3.0.3-16
        - Disable tcp_wrappers support
        - Resolves: rhbz#1518796
        - Fix default value of strict_ssl_read_eof in man page

This causes both "telnet ip 21" and Cobian Bckup to give the following error:

    500 OOPS: tcp_wrappers is set to YES but no tcp wrapper support
              compiled in Connection closed by foreign host. 

The cure is to remove tcp_wrappers from /etc/vsftpd/vsftpd.confg 

GUYS!!!!   NOT FUN TO TRY TO FIGURE OUT !!!!!

Request for Enhancement: when starting vsftpd and "tcp_wrappers" is found to be set to "YES", please consider WRITING AN ERROR MESSAGE to the system journal!  If it is not supported, vsftpd startup SHOULD COMPLAIN!

Many thanks,
-T

Comment 1 Ben Cotton 2019-05-02 21:41:51 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.